NONRTRIC-946: Add support for Kong routes
Issue-ID: NONRTRIC-946
Signed-off-by: DenisGNoonan <denis.noonan@est.tech>
Change-Id: Iadf368d9dcfc53d118a636ac33652f7bf524d043
diff --git a/servicemanager/build-servicemanager-ubuntu.sh b/servicemanager/build-servicemanager-ubuntu.sh
new file mode 100755
index 0000000..404e7a2
--- /dev/null
+++ b/servicemanager/build-servicemanager-ubuntu.sh
@@ -0,0 +1,36 @@
+#!/bin/bash
+##############################################################################
+#
+# Copyright (C) 2024: OpenInfra Foundation Europe
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+##############################################################################
+set -eux
+
+echo "--> build-servicemanager-ubuntu.sh"
+
+# go installs tools like go-acc to $HOME/go/bin
+# ubuntu minion path lacks go
+export PATH=$PATH:/usr/local/go/bin:$HOME/go/bin
+export GO111MODULE=on
+go version
+
+# Get the go coverage tool helper
+go install github.com/ory/go-acc
+go get github.com/stretchr/testify/mock@v1.7.1
+go-acc ./... --ignore gentools,mocks,common,discoverserviceapi,invokermanagementapi,publishserviceapi,providermanagementapi
+
+sed -i 's/oransc\.org\/nonrtric\/servicemanager/servicemanager/' coverage.txt
+
+echo "--> build-servicemanager-ubuntu.sh ends"